glab(1)

NAME
glab-mr-list - List merge requests.

SYNOPSIS
glab mr list [flags]

DESCRIPTION
List merge requests.

OPTIONS
-A, --all[=false]
    Get all merge requests.

-a, --assignee=[]
    Get only merge requests assigned to users. Multiple users can be comma-separated or specified by repeating the flag.

--author=""
    Filter merge request by author .

-c, --closed[=false]
    Get only closed merge requests.

--created-after=
    Filter merge requests created after a certain date (ISO 8601 format).

--created-before=
    Filter merge requests created before a certain date (ISO 8601 format).

--deployed-after=
    Filter merge requests deployed after a certain date (ISO 8601 format).

--deployed-before=
    Filter merge requests deployed before a certain date (ISO 8601 format).

-d, --draft[=false]
    Filter by draft merge requests.

--environment=""
    Filter merge requests deployed to the given environment .

-g, --group=""
    Select a group/subgroup. This option is ignored if a repo argument is set.

-l, --label=[]
    Filter merge request by label . Multiple labels can be comma-separated or specified by repeating the flag.

-M, --merged[=false]
    Get only merged merge requests.

-m, --milestone=""
    Filter merge request by milestone .

--not-draft[=false]
    Filter by non-draft merge requests.

--not-label=[]
    Filter merge requests by not having label . Multiple labels can be comma-separated or specified by repeating the flag.

-o, --order=""
    Order merge requests by . Order options: created_at, updated_at, merged_at, title, priority, label_priority, milestone_due, and popularity.

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

-r, --reviewer=[]
    Get only merge requests with users as reviewer. Multiple users can be comma-separated or specified by repeating the flag.

--search=""
    Filter by in title and description.

-S, --sort=""
    Sort direction for --order field: asc or desc.

-s, --source-branch=""
    Filter by source branch .

-t, --target-branch=""
    Filter by target branch .

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    glab mr list --all
    glab mr ls -a
    glab mr list --assignee=@me
    glab mr list --reviewer=@me
    glab mr list --source-branch=new-feature
    glab mr list --target-branch=main
    glab mr list --search "this adds feature X"
    glab mr list --label needs-review
    glab mr list --not-label waiting-maintainer-feedback,subsystem-x
    glab mr list -M --per-page 10
    glab mr list --draft
    glab mr list --not-draft

SEE ALSO
glab-mr(1)